Subject: Re: [alsa-devel] [PATCH 2/3] ALSA SoC: Add mpc5200-psc I2S driver

From: Grant Likely <[email-masked]>
Date: Sat, 12 Jul 2008 00:26:04 -0600

On Mon, Jul 07, 2008 at 09:23:24AM -0400, Jon Smirl wrote:
> On 7/7/08, Mark Brown <[email-masked]> wrote:
> > On Sun, Jul 06, 2008 at 01:56:48PM -0400, Jon Smirl wrote:
> >
> >  > The driver is assuming a capture stream exists. My codec is output only.
> >
> >
> > While the driver declares a capture stream the core doesn't require that
> >  both capture and playback be available - it will cope with a capture
> >  only or a playback only DAI (this is fairly common due to DAC only and
> >  ADC only parts).  Unless there's some other issue specific to this
> >  driver?
> 
> Yes, it GPFs allocating a a DMA buffer on the null capture stream pointer.

Where does it GPF?  When dereferencing pcm->streams[x].substream in
psc_i2s_pcm_new?